<?php
/**
 * Handles the Swish request IDs.
 *
 * @package flo-checkout
 */

namespace Flo_Checkout\Gateways\Swish;

use Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Helpers\General_Helpers;

defined( 'ABSPATH' ) || exit;

/**
 * Class Swish_Request_IDs
 */
class Swish_Request_IDs {

	/**
	 * Generate a new Swish request ID.
	 *
	 * @return string
	 */
	public static function generate(): string {
		$guid = General_Helpers::create_new_guid( false );
		return strtoupper(
			str_replace( '-', '', $guid )
		);
	}
}
